import extra_geom
from karabo.middlelayer import Hash

from ..base_geometry import (
    ManualRotatableModuleListGeometryBase,
    make_manual_rotatable_module_list_node,
)


class LpdminiGeometry(ManualRotatableModuleListGeometryBase):
    geometry_class = extra_geom.LPD_MiniGeometry

    moduleList = make_manual_rotatable_module_list_node(
        [
            Hash("posX", x, "posY", y, "rotate", r)
            for (x, y, r) in [
                (0, 0, 0),
                # TODO: appropriate defaults
            ]
        ]
    )

    def _update_manual_from_current(self):
        raise NotImplementedError()
